<template>
  <div class="card">
    <h5 class="card-header h5">{{ postDetail.name }}</h5>
    <div class="card-body">
      <h5 class="card-title">{{ postDetail.introduction }}</h5>
      <p class="card-text" v-html="postDetail.content"></p>

      <div class="text-right">
        <p>
          <b>{{ postDetail.author_name }}</b
          >, {{ postDetail.created_at }}
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapActions } from "vuex";

export default {
  computed: {
    ...mapState({
      postDetail: state => state.posts.postDetail,
    }),
  },
  methods: {
    ...mapActions(['getPostDetail']),
  },
  created() {
    const postID = location.pathname.split('/vue-thong-bao-tu-jvb/')[1]
    this.getPostDetail(postID)
  }
};
</script>
